Model and Test Methods for LTE-V2X Physical Layer Key Distribution System
Internet-Draft draft-yu-keydistribution-02
Yanzhao Yang
China Automotive Innovation Corporation
yangyanzhao@t3caic.com
Peng Guo
China Automotive Innovation Corporation
guopeng@t3caic.com
Jiabao Yu
Purple Mountain Laboratories, China
yujiabao@pmlabs.com.cn
Aiqun Hu
Purple Mountain Laboratories, China
aqhu@seu.edu.cn
April 2024
LTE-V2X
key distribution system
There are several key distribution systems based on the physical layer of the LTE Vehicle-to-Everything (V2X) communication system, utilizing the random and high-agreement secret key generation schemes from noisy wideband channels. These systems are used in conjunction with physical layer authentication systems that are also based on physical characteristics. To characterize these systems, this document proposes a reference model and several test methods of main technical parameters of such systems, including average key generation rate as well as the consistency and the randomness of generated key bits.
Introduction
There are several key distribution systems based on the physical layer of the LTE Vehicle-to-Everything (V2X) communication system, utilizing the random and high-agreement secret key generation schemes from noisy wideband channels. These systems are used in conjunction with physical layer authentication systems that are also based on physical characteristics. To characterize these systems, this document proposes a reference model and several test methods of main technical parameters of such systems, including average key generation rate as well as the consistency and the randomness of generated key bits.
Conventions and Definitions
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Terms and Definitions
LTE-V2X physical layer key distribution system
Based on LTE-V2X physical layer channel characteristics, a LTE-V2X physical layer key distribution system is used to generate key streams with high consistency for two communicating parties using LTE-V2X.
Sender
The sender initiates the key distribution protocol in LTE-V2X physical layer key distribution system. It has duplex communication capability to send and receive signals.
Receiver
The receiver responds to the key distribution protocol in LTE-V2X physical layer key distribution system. It has duplex communication capability to send and receive signals.
Negotiation signal
Negotiation signal is used to transmit additional information for the key distribution protocol in LTE-V2X physical layer key distribution system. It may be sent and received by using a separate physical layer transceiver mechanism or multiplexing LTE-V2X physical layer signal transceiver mechanisms.
Network Topology of LTE-V2X Physical Layer Key Distribution System
The reference model of the LTE-V2X physical layer key distribution system is shown in Fig. 1, including devices such as the sender and the receiver.
The model and reference points of the LTE-V2X physical layer key distribution system

         +-----------------------------------------------+
         |                                               |
         |    +-----------+   +-------+   +-----------+  |
         |    |LTE-V2X PHY|   |LTE-V2X|   |LTE-V2X PHY|  | Sn
         |    |   Modem   +---+ Upper +---+ Management+--+----
         |    |   Module  |   |Control|   |  Program  |  |
         |    +-----+-----+   +-------+   +-----+-----+  |
         |          |                           |        |
         |  +-------+-------+             +-----+-----+  |
         |  |  LTE-V2X PHY  |             |Channel Key|  | Sk
         |  |Synchronisation+-------------+ Extraction+--+----
         |  |     Module    |             |   Module  |  |
         |  +-------+-------+             +-----+-----+  |
         |          |                           |        |
         |    +-----+-----+               +-----+-----+  |
         |    |LTE-V2X PHY|               |Negotiation|  | Sd
         |    |Transceiver|               |   Signal  +--+----
         |    |   Module  |               | Interface |  |
         |    +-----+-----+               +-----+-----+  |
         |          |           Sender          |        |
         +----------+---------------------------+--------+
                    |Sq                         |
                    |                           |
                    |                           |
                    |                           |
                    |Rq                         |
         +----------+---------------------------+--------+
         |          |          Receiver         |        |
         |    +-----+-----+               +-----+-----+  |
         |    |LTE-V2X PHY|               |Negotiation|  | Rd
         |    |Transceiver|               |   Signal  +--+----
         |    |   Module  |               | Interface |  |
         |    +-----+-----+               +-----+-----+  |
         |          |                           |        |
         |  +-------+-------+             +-----+-----+  |
         |  |  LTE-V2X PHY  |             |Channel Key|  | Rk
         |  |Synchronisation+-------------+ Extraction+--+----
         |  |     Module    |             |   Module  |  |
         |  +-------+-------+             +-----+-----+  |
         |          |                           |        |
         |    +-----+-----+   +-------+   +-----+-----+  |
         |    |LTE-V2X PHY|   |LTE-V2X|   |LTE-V2X PHY|  | Rn
         |    |   Modem   +---+ Upper +---+ Management+--+----
         |    |   Module  |   |Control|   |  Program  |  |
         |    +-----------+   +-------+   +-----------+  |
         |                                               |
         +-----------------------------------------------+

Eight reference points of LTE-V2X physical layer key distribution system are defined in Fig. 1 with the following meanings:
- Sq represents the transceiver interface of the sender;
- Rq represents the transceiver interface of the receiver;
- Sd represents the negotiation signal interface point of the sender;
- Rd represents the negotiation signal interface point of the receiver;
- Sk represents the key interface reference point of the sender;
- Rk represents the key interface reference point of the receiver;
- Sn represents the management program interface reference point of the sender;
- Rn represents the management program interface reference point of the receiver.
Test Methods of LTE-V2X Physical Layer Key Distribution System
The Average Key Generation Rate of LTE-V2X Physical Layer Key Distribution System
Test Content
Test the average key generation rate of LTE-V2X physical layer key distribution system in the specified scenario. The average key generation rate is defined as the number of bits/generation time of the key generated by the LTE-V2X physical layer key distribution system at the sender or receiver side over a period of time.
Test Configuration
The test configuration is shown in Fig. 2, and the test software is LTE-V2X physical layer key distribution system management program.
The test configuration of the average key generation rate

                           +--------------+
              +------------+Upper computer+------------+
              |            +--------------+            |
              |Sk                                      |Rk
 +------------+------------+              +------------+------------+
 |  The sender of the key  |Sd          Rd| The receiver of the key |
 |                         +--------------+                         |
 |  distribution system    |Sq          Rq|  distribution system    |
 +-------------------------+              +-------------------------+

Test Steps
Perform the test as follows:
1.Record the generated keys by the upper computer for 10 min;
2.Calculate the average key generation rate by the upper computer recorded in step 1;
3.Repeat the test three times and take the average value to obtain the average key generation rate of the system in the specified scenario.
Key Consistency of LTE-V2X Physical Layer Key Distribution System
Test Content
The key files generated by the sender and receiver of LTE-V2X physical layer key distribution system are compared for content consistency.
Test Configuration
The test configuration is shown in Fig. 2.
Test Steps
Perform the test as follows:
1.Carry out the test configuration as in Fig. 2, and export both output key files of the sender and receiver at the same time by the upper computer, and make sure the key files are not less than 125KB.
2.Use file comparison software to compare the binary file contents of the output key files generated at both ends and record the comparison results.
Notes
If output key files are encapsulated or encrypted, corresponding decryption program should be provided.
Output Key Randomness of LTE-V2X Physical Layer Key Distribution System
Test Content
The key file generated by LTE-V2X physical layer key distribution system is tested for randomness in accordance with the requirements of AIS-20/31.
Test Configuration
The test configuration is shown in Fig. 2.
Test Steps
Perform the test as follows:
1.Carry out the test configuration as in Fig. 2, and export both output key file of the sender and receiver at the same time by the upper computer, and make sure the key files are not less than 125KB.
2.Using the randomness test software that complies with the test cases and evaluation methods required by AIS-20/31, analyze the randomness of the output key files generated at both ends in terms of binary random numbers and record the test results.
Security Considerations
This section will address only security considerations associated with the test environment of LTE-V2X Physical Layer Key Distribution Systems. It is necessary to ensure that the upper computer as well as the sender and the receiver are in a secure and trusted environment.
IANA Considerations
This document has no IANA actions.
Normative References
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
Workflow of LTE-V2X Physical Layer Key Distribution System Based on Message Reconciliation
The flow of Message Reconciliation-based LTE-V2X Physical Layer Key Distribution System usually includes several blocks such as channel detection, signal synchronisation, channel estimation, feature quantization, information reconciliation and privacy amplification, as shown in Fig. 3.
Workflow of LTE-V2X physical layer key distribution system based on message reconciliation

             Sender                              Receiver
           +---------+         +-------+        +---------+
           | Channel +---------+LTE-V2X+------->| Channel |
           |Detection|         |Signal |        |Detection|
           +----+----+         +-------+        +----+----+
                |                                    |
                v                                    v
        +---------------+                    +---------------+
        |    Signal     |                    |    Signal     |
        |Synchronisation|                    |Synchronisation|
        +-------+-------+                    +-------+-------+
                |                                    |
                v                                    v
           +----------+                         +----------+
           | Channel  |                         | Channel  |
           |Estimation|                         |Estimation|
           +----+-----+                         +----+-----+
                |                                    |
                v                                    v
          +------------+                       +------------+
          |  Feature   |                       |  Feature   |
          |Quantisation|                       |Quantisation|
          +-----+------+       +-------+       +-----+------+
                |              |Initial|             |
                +--------------+  Key  +-------------+
                |              +-------+             |
                v                                    v
        +--------------+     +-----------+    +--------------+
        | Information  |     |Negotiation|    | Information  |
        |Reconciliation|<----+   Signal  +--->|Reconciliation|
        +-------+------+     +-----------+    +------+-------+
                |                                    |
                |            +-----------+           |
                +------------+Negotiation+-----------+
                |            |    Key    |           |
                v            +-----------+           v
         +-------------+                      +-------------+
         |   Privacy   |                      |   Privacy   |
         |Amplification|                      |Amplification|
         +------+------+                      +------+------+
                |             +---------+            |
                +-------------+Final Key+------------+
                v             +---------+            v
The specific steps of the workflow are as follows:
1.Channel Detection: The sender sends an LTE-V2X physical layer signal to the receiver, and the receiver shall be able to detect and receive this signal.
2.Signal Synchronization: The known frequency-conducting signal sequence in the received signal is extracted by coarse and fine synchronization. Frequency bias estimation and frequency compensation are generally required since the received signal will have frequency bias deviation due to the channel.
3.Channel Estimation: Extract channel characteristics for the frequency compensated received signal.
4.Feature Quantization: Discrete continuous channel state information into streams of 0 and 1 bits to obtain the initial key.
5.Message Reconciliation: Due to channel and estimation algorithms, there will be inconsistent bits in the initial keys of the two communicating parties. Obtaining the symmetric shared key by removing the inconsistent bits in the interactions of negotiation signals, or using the error correcting capability of channel coding techniques can help achieve encrypted transmission of the message.
6.Privacy Amplification: Using the one-way mapping property of the hash function to improve the randomness and security of the shared key.
Workflow of LTE-V2X Physical Layer Key Distribution System Based on Error correcting Codes
LTE-V2X physical layer key distribution system based on error correcting codes does not seek to achieve identical key generation results at the sender and receiver, but instead it uses error correcting codes and one-time encryption and decryption in conjunction. Error correcting code decoding recovers a small number of error bits, and one-time encryption and decryption would not introduce additional error bits other than the key generation error. The process usually includes several parts such as channel detection, signal synchronization, channel estimation, feature quantization, error correcting coding, synchronous encryption, synchronous decryption, and error correcting decoding, as shown in Fig. 4.
Workflow of LTE-V2X physical layer key distribution system based on error correcting codes

                Sender                        Receiver
              +---------+     +-------+     +---------+
              | Channel |     |LTE-V2X|     | Channel |
              |         +-----+       +---->|         |
              |Detection|     |Signal |     |Detection|
              +----+----+     +-------+     +----+----+
                   |                             |
                   v                             v
           +---------------+             +---------------+
           |    Signal     |             |    Signal     |
           |Synchronisation|             |Synchronisation|
           +-------+-------+             +-------+-------+
                   |                             |
                   v                             v
             +-----------+                 +-----------+
             |  Channel  |                 |  Channel  |
             |Estimation |                 |Estimation |
             +-----+-----+                 +-----+-----+
                   |                             |
                   v                             v
            +-------------+               +-------------+
            |   Feature   |               |   Feature   |
            |Quantisation |               |Quantisation |
            +------+------+               +------+------+
                   |                             |
                   v                             v
             +-----------+    +-------+    +-----------+
             |Synchronous|    |LTE-V2X|    |Synchronous|
             |           +--->|       +--->|           |
             |Encryption |    |Signal |    |Decryption |
             +-----------+    +-------+    +-----------+
                   ^                             ^
                   |                             |
              +----+-----+                  +----+-----+
       Send   |  Error   |                  |  Error   | Receive
     -------->|Correcting|                  |Correcting+-------->
      Message |  Coding  |                  | Decoding | Message
              +----------+                  +----------+

The specific steps of the workflow are as follows:
1.Channel Detection: The sender sends an LTE-V2X physical layer signal to the receiver, and the receiver shall be able to detect and receive this signal.
2.Signal Synchronization: The known frequency-conducting signal sequence in the received signal is extracted by coarse and fine synchronization. Frequency bias estimation and frequency compensation are generally required since the received signal will have frequency bias deviation due to the channel.
3.Channel Estimation: Extract channel characteristics for the frequency compensated received signal.
4.Feature Quantization: Discrete continuous channel state information into streams of 0 and 1 bits to obtain the one-time key.
5.Error Correcting Coding: Error correcting coding of the plaintext bitstream of the sending message.
6.Synchronous Encryption: The ciphertext bit stream is obtained by bit wise dissimilarity between the one-time secret key generated by the sender and the bit stream after error correction coding. Add appropriate synchronization information of one-time secret key, modulate and transmit it using the LTE-V2X channel.
7.Synchronous Decryption: Receive the signal from LTE-V2X channel and demodulate it, recover synchronization information of one-time secret key, delete synchronization information of key to get the ciphertext message bit stream, and then bitwise dissimilar the corresponding one-time key of the receiver and the ciphertext bit stream to obtain the plaintext bit stream with error correction code.
8.Error Correcting Decoding: The plaintext bit stream containing the error correcting code is error correcting decoded to get the received information.